Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.management
Interface ConversationMBean

public interface ConversationMBean

The ConversationMBean interface represents an active conversation.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.util.Date` | `getActiveSince()` Gets the start time of this Conversation.
`java.lang.String` | `getBusinessProtocolName()` Gets the protocol name of this Conversation.
`java.lang.String` | `getCollaborationAgreementName()` Gets the name of the Collaboration Agreement associated with this Conversation.
`java.lang.String` | `getConversationDefinitionName()` Gets the name of the ConversationDefinition associated with this Conversation.
`java.lang.String` | `getConversationDefinitionVersion()` Gets the version of the ConversationDefinition associated with this Conversation.
`java.lang.String` | `getId()` Gets the Conversation ID of this global conversation.
`java.lang.String` | `getInitiatorName()` Gets the name of the Trading Partner that started this conversation.
`java.util.Date` | `getLastMessageTime()` Gets the time when the last business message was sent in this Conversation.
`java.lang.String` | `getLastSender()` Gets the name of the trading partner who sent the last business message in this Conversation.
`java.lang.String[]` | `getParticipants()` Gets all the parties participating in this Conversation.
`int` | `getState()` Gets the current state of this Conversation.
`int` | `getTerminationRight()` Returns the action the administrative user of the current conversation can perform.
`void` | `leave()` Leaves this Conversation.
`void` | `terminate(int result)` Terminates this Conversation.

Method Detail

### getCollaborationAgreementName

    public java.lang.String getCollaborationAgreementName()

  Gets the name of the Collaboration Agreement associated with this Conversation.

  Returns:
    String - Collaboration Agreement name.

### getInitiatorName

    public java.lang.String getInitiatorName()

  Gets the name of the Trading Partner that started this conversation.

  Returns:
    String - Trading Partner name.

### getId

    public java.lang.String getId()

  Gets the Conversation ID of this global conversation.

  Returns:
    String - Conversation ID.

### getState

    public int getState()

  Gets the current state of this Conversation.

  Returns:
    int - Conversation state.
  See Also:
    for conversation states.

### getBusinessProtocolName

    public java.lang.String getBusinessProtocolName()

  Gets the protocol name of this Conversation.

  Returns:
    String - name of business transaction protocol.

### getConversationDefinitionName

    public java.lang.String getConversationDefinitionName()

  Gets the name of the ConversationDefinition associated with this Conversation.

  Returns:
    String - associated ConversationDefinition name.

### getConversationDefinitionVersion

    public java.lang.String getConversationDefinitionVersion()

  Gets the version of the ConversationDefinition associated with this Conversation.

  Returns:
    String - associated ConversationDefinition version.

### getParticipants

    public java.lang.String[] getParticipants()

  Gets all the parties participating in this Conversation.

  Returns:
    String[] - names of participating trading partners.

### getActiveSince

    public java.util.Date getActiveSince()

  Gets the start time of this Conversation.

  Returns:
    Date - Time when this Conversation started.

### getLastMessageTime

    public java.util.Date getLastMessageTime()

  Gets the time when the last business message was sent in this Conversation.

  Returns:
    Date - Time when the last business message was sent.

### getLastSender

    public java.lang.String getLastSender()

  Gets the name of the trading partner who sent the last business message in this Conversation.

  Returns:
    String - Name of the trading partner who sent the last business message.

### terminate

    public void terminate(int result)
                   throws ManagementException

  Terminates this Conversation.

  Parameters:
    `result` - Conversation termination result.
  Throws:
    ManagementException - If an error occurred when terminating this Conversation.

### leave

    public void leave()
               throws ManagementException

  Leaves this Conversation.

  Throws:
    ManagementException - If an error occurred when leaving this Conversation.

### getTerminationRight

    public int getTerminationRight()

  Returns the action the administrative user of the current conversation can perform. Possible return values are defined as: com.bea.b2b.server.ServerRuntime.CONV_DISPLAYONLY com.bea.b2b.server.ServerRuntime.CONV_TERMINAT com.bea.b2b.server.ServerRuntime.CONV_LEAVE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)